with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.IHTMLFontNamesCollection_Interface is

   procedure Initialize (This : in out IHTMLFontNamesCollection_Type) is
   begin
      Set_IID (This, IID_IHTMLFontNamesCollection);
   end Initialize;

   function Pointer (This : IHTMLFontNamesCollection_Type)
     return Pointer_To_IHTMLFontNamesCollection
   is
   begin
      return To_Pointer_To_IHTMLFontNamesCollection (Address (This));
   end Pointer;

   procedure Attach (This    : in out IHTMLFontNamesCollection_Type;
                     Pointer : in     Pointer_To_IHTMLFontNamesCollection)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   function Get_length
     (This : IHTMLFontNamesCollection_Type)
     return Interfaces.C.long
   is
       RetVal : aliased Interfaces.C.long;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_length
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_length;

   function Getu_newEnum
     (This : IHTMLFontNamesCollection_Type)
     return GNATCOM.Types.Pointer_To_IUnknown
   is
       RetVal : aliased GNATCOM.Types.Pointer_To_IUnknown;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Getu_newEnum
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Getu_newEnum;

   function item
     (This  : IHTMLFontNamesCollection_Type;
      index : Interfaces.C.long)
     return GNATCOM.Types.BSTR
   is
       RetVal : aliased GNATCOM.Types.BSTR;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.item
         (Pointer (This),
          index,
          RetVal'Unchecked_Access));

      return RetVal;
   end item;

end MSHTML.IHTMLFontNamesCollection_Interface;

